Results 1 to 5 of 5

Thread: How to upgrade OpenGL?

  1. #1
    Join Date
    Jun 2008
    Location
    UK
    Beans
    131
    Distro
    Kubuntu 16.04 Xenial Xerus

    How to upgrade OpenGL?

    When I launch SuperTuxKart I get the following warning:
    Your OpenGL version appears to be too old. Please verify if an update for your video driver is available. SuperTuxKart requires OpenGL 3.1 or better.
    How do I update this? I've tried Googling but have got a bit lost... (Please bear in mind I know NOTHING about video drivers.)

    Hopefully useful information:
    Code:
    $ lspci | grep VGA
    00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
    $ glxinfo | grep OpenGL
    OpenGL vendor string: Intel Open Source Technology Center
    OpenGL renderer string: Mesa DRI Mobile Intel® GM45 Express Chipset 
    OpenGL version string: 2.1 Mesa 11.2.0
    OpenGL shading language version string: 1.20
    OpenGL extensions:
    OpenGL ES profile version string: OpenGL ES 2.0 Mesa 11.2.0
    OpenGL ES profile shading language version string: OpenGL ES GLSL ES 1.0.16
    OpenGL ES profile extensions:

  2. #2
    Join Date
    Nov 2009
    Beans
    Hidden!
    Distro
    Kubuntu 18.04 Bionic Beaver

    Re: How to upgrade OpenGL?

    Intel® 4 Series Express Chipsets support OpenGL version 2.0 and some extensions from OpenGL 2.1 (Pixel Buffer Objects) and OpenGL 3.0 (Frame Buffer Objects, floating point textures and half float pixels).
    source: https://software.intel.com/en-us/art...ets-and-beyond.
    OpenGL 4 should be supported. but it could be that it is not enabled.



    http://www.intel.com/content/www/us/...000005575.html

    you can try with "Intel Graphics installer for Linux"


    https://01.org/linuxgraphics



    - see bottom of this link for more info:



    http://stackoverflow.com/questions/1...r-ubuntu-12-04


    or oibaf repository (PPA)

    edit: i would just like to add that if this is on 16.04 you should already have the latest intel stack. my guess is something is not getting recognies well here. unfortunaltely i do not know about the inte'sl switches and how to enable things if it doesnt' have any GUI available,





    Last edited by mastablasta; May 30th, 2016 at 01:59 PM.
    Easy to understand Ubuntu manual with lots of pics: http://ubuntu-manual.org/
    Do i need antivirus/firewall in linux?
    Disk backup (works on newer PC): Clonezilla

  3. #3
    Join Date
    May 2014
    Beans
    138

    Re: How to upgrade OpenGL?

    In opposition to mastablasta I will give you bad news in the link below. This is not my experience, just common knowledge.

    https://en.wikipedia.org/wiki/Compar...rth_generation

  4. #4
    Join Date
    Nov 2009
    Beans
    Hidden!
    Distro
    Kubuntu 18.04 Bionic Beaver

    Re: How to upgrade OpenGL?

    well official sources say otherwise:

    4th Generation Intel® Core™ ProcessorsWith Iris™ Graphics 5200, 5100
    With Intel® HD Graphics 5000, 4600, 4400, 4200
    DirectX* OpenGL* OpenCL* Shader Model Support Intel® Quick Sync Video Intel® Wireless Display Intel® Insider™ technology Intel® InTru™ 3D Technology Intel® Clear Video HD Technology
    11.1 4 1.2 5 Yes Yes Yes Yes Yes
    source: http://www.intel.com/content/www/us/en/support/graphics-drivers/000005524.html


    to the OP - you can use an older version of supertuxkart if you do not need the latest one.

    from the Supertuxkart blog about new engine:

    Based on our somewhat limited testing the following graphics adapters should be fast enough at low graphics settings (go into settings, video to increase or decrease the graphical details):
    • ATI/AMD Radeon HD 3650
    • Intel HD 3000
    • NVIDIA GeForce 8600


    We also recommend your graphics adapter to have at least 1 GB VRAM available when playing. Note that these are estimates and weaker hardware may be able to run the game, but perhaps not at playable framerates. You should also have at least 600MB free hard drive space, 1GB free memory, and a 1.2 GHz processor.
    http://supertuxkart.blogspot.si/


    Last edited by mastablasta; May 31st, 2016 at 08:30 AM.
    Easy to understand Ubuntu manual with lots of pics: http://ubuntu-manual.org/
    Do i need antivirus/firewall in linux?
    Disk backup (works on newer PC): Clonezilla

  5. #5
    Join Date
    Jun 2007
    Beans
    17,150

    Re: How to upgrade OpenGL?

    Quote Originally Posted by EssexEagle View Post


    How do I update this? I've tried Googling but have got a bit lost..
    Code:
    $ lspci | grep VGA
    00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
    $ glxinfo | grep OpenGL
    OpenGL vendor string: Intel Open Source Technology Center
    OpenGL renderer string: Mesa DRI Mobile Intel® GM45 Express Chipset 
    OpenGL version string: 2.1 Mesa 11.2.0
    OpenGL shading language version string: 1.20
    OpenGL extensions:
    OpenGL ES profile version string: OpenGL ES 2.0 Mesa 11.2.0
    OpenGL ES profile shading language version string: OpenGL ES GLSL ES 1.0.16
    OpenGL ES profile extensions:
    As far as OpenGL you'd need to get newer hardware, that chipset will not be getting any higher OpenGL support than it already has. (2.1

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •